package cn.yw.operationcount.arearecordcount.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywcountarearecordDao")
public class YwcountarearecordDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ywcountarearecord(Map map) throws SQLException{
		this.insert("insert_Ywcountarearecord",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywcountarearecord(List batch) throws SQLException{
		this.insert("batch_insert_Ywcountarearecord",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywcountarearecord(Map map) throws SQLException{
		return this.update("update_Ywcountarearecord",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywcountarearecord(Map map) throws SQLException{
		return this.delete("delete_Ywcountarearecord",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywcountarearecord(Map map) throws SQLException{
		return this.delete("batch_delete_Ywcountarearecord",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywcountarearecord(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywcountarearecord",map);
	}
	public Integer count_listareaRecordCount(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_listareaRecordCount",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywcountarearecord(Map map) throws SQLException{
		return this.queryForList("query_Ywcountarearecord",map);
	}
	public List<Map> listareaRecordCount(Map map) throws SQLException{
		return this.queryForPage("listareaRecordCount",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywcountarearecord(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywcountarearecord",map);
	}
}
